package com.aleax.gui.gesture;

/**
 * The listener interface for receiving gesture notifications. 
 *
 * @version 1.0 28 Apr 2001
 * @author Yiannis Paschalidis
 */ 
public interface GestureListener
{
	/**
	 * Invoked when a gesture has been recognised.
	 *
	 * @param stroke - the stroke that was just made. This is usually ignored, but can be
	 *                 used to determine the bounds and 'direction' of the stroke for eg.
	 *                 zooming into the area it encloses.
	 *
	 * @param id - the id of the gesture that was recognised.
	 */
	public void gesturePerformed(Stroke stroke, int id);
}